%define anolis_release 1

Summary: Basic desktop integration functions 
Name:    xdg-utils
Version: 1.1.3
Release: %{anolis_release}%{?dist}

URL:     http://portland.freedesktop.org/ 
Source0: https://portland.freedesktop.org/download/xdg-utils-%{version}.tar.gz
License: MIT 

## upstream patches
Patch1: 0001-open-for-post-1.1.3-development.patch
Patch2: 0002-xdg-open-better-pcmanfm-check-BR106636-BR106161.patch
Patch3: 0003-xdg-email-Support-for-Deepin.patch
Patch4: 0004-Restore-matching-of-older-deepin-names.patch
Patch5: 0005-xdg-open-handle-file-localhost.patch
Patch6: 0006-test-lib.sh-run-eat-xdg-open-s-exit-code.patch
Patch7: 0007-Fix-a-bug-when-xdg-terminal-needs-gsettings-to-get-t.patch
Patch8: 0008-Fixes-x-argument-which-is-the-default-for-gnome-mate.patch
Patch9: 0009-xdg-screensaver-Sanitise-window-name-before-sending-.patch
Patch10: 0010-xdg-su-fix-some-easy-TODOs.patch
Patch11: 0011-xdg-open-fix-comment-typo.patch
Patch12: 0012-Enable-cinnamon-screensaver-for-xdg-aware-desktop-en.patch
Patch13: 0013-support-digits-in-uri-scheme-regex.patch
Patch14: 0014-xdg-mime-return-correct-exit-code-for-GNOME.patch
Patch15: 0015-fixed-166-xdg-open-dose-not-search-correctly-in-dire.patch
Patch16: 0016-Fix-xdg-settings-support-for-default-web-browser-for.patch

BuildArch: noarch

BuildRequires: make
BuildRequires: gawk
BuildRequires: xmlto lynx

Requires: coreutils
Requires: desktop-file-utils
Requires: which

%description
The %{name} package is a set of simple scripts that provide basic
desktop integration functions for any Free Desktop, such as Linux.
They are intended to provide a set of defacto standards.  
This means that:
*  Third party software developers can rely on these xdg-utils
   for all of their simple integration needs.
*  Developers of desktop environments can make sure that their
   environments are well supported
*  Distribution vendors can provide custom versions of these utilities

The following scripts are provided at this time:
* xdg-desktop-icon      Install icons to the desktop
* xdg-desktop-menu      Install desktop menu items
* xdg-email             Send mail using the user's preferred e-mail composer
* xdg-icon-resource     Install icon resources
* xdg-mime              Query information about file type handling and
                        install descriptions for new file types
* xdg-open              Open a file or URL in the user's preferred application
* xdg-screensaver       Control the screensaver
* xdg-settings          Get various settings from the desktop environment

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{EVR}
BuildArch: noarch

%description doc
Doc files for %{name}


%prep
%autosetup -n %{name}-%{version} -p1


%build
%configure
%make_build

%install
%make_install DESTDIR=%{buildroot}
%generate_compatibility_deps

%files
%license LICENSE
%{_bindir}/xdg-desktop-icon
%{_bindir}/xdg-desktop-menu
%{_bindir}/xdg-email
%{_bindir}/xdg-icon-resource
%{_bindir}/xdg-mime
%{_bindir}/xdg-open
%{_bindir}/xdg-screensaver
%{_bindir}/xdg-settings
%{_mandir}/man1/xdg-desktop-icon.1*
%{_mandir}/man1/xdg-desktop-menu.1*
%{_mandir}/man1/xdg-email.1*
%{_mandir}/man1/xdg-icon-resource.1*
%{_mandir}/man1/xdg-mime.1*
%{_mandir}/man1/xdg-open.1*
%{_mandir}/man1/xdg-screensaver.1*
%{_mandir}/man1/xdg-settings.1*
%dir %{abidir}
%{abidir}/*-option.list

%files doc
%doc ChangeLog README TODO


%changelog
* Thu Mar 16 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.1.3-1
- init from upstream
